วันจันทร์ที่ 21 มีนาคม พ.ศ. 2565

Point to Circle and Circle to Point

 

;;Point to Circle and Circle to Point

(defun c:p2c ( / e i s )

;;-------------Input Radial-------------------------   

       (or rd (setq rd 0.2))

        (setq rdtemp

            (getDist (strcat "\nEnter Radial : <"

                             (rtos rd 2 3)

                                     ">: "

                     ) ;_ strcat

            ) ;_ getint

        ) ;_ setq

    (and rdtemp (setq rd rdtemp))

;;---------------------------------------------------

       (if (setq s (ssget '((0 . "POINT"))))

        (repeat (setq i (sslength s))

            (setq e (ssname s (setq i (1- i))))

            (if (entmake

                                  (list '(0 . "CIRCLE")

                                            (assoc 10 (entget e))

                                            (cons 40  rd)

                                  )

                           )

                           (entdel e)                 

                     )

        )

    )

    (princ)

)

(defun c:c2p ( / e i s )

    (if (setq s (ssget '((0 . "CIRCLE"))))

        (repeat (setq i (sslength s))

            (setq e (ssname s (setq i (1- i))))

            (if (entmake

                                  (list '(0 . "POINT")

                                            (assoc 10 (entget e))

                                  )

                           )

                           (entdel e)

                     )

        )

    )

    (princ)

)

ไม่มีความคิดเห็น:

แสดงความคิดเห็น